>From 57f82f124b1055fe27563a3a7610b14ae69f95cc Mon Sep 17 00:00:00 2001
From: Ben Taylor <bent@bent-desktop.(none)>
Date: Thu, 26 Apr 2007 10:12:35 -0400
Subject: [PATCH] modify wineinstall to use "wine --version" instead of "which wine"

---
 tools/wineinstall |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/tools/wineinstall b/tools/wineinstall
index 5c57f54..6602477 100755
--- a/tools/wineinstall
+++ b/tools/wineinstall
@@ -136,7 +136,8 @@ then {
   fi
 
   # check whether wine binary still available
-  if [ -n "`which wine 2>/dev/null|grep '/wine'`" ]; then
+  if [ -n "`wine --version 2>/dev/null`" ]
+  then
     echo "Warning !! wine binary (still) found, which may indicate"
     echo "a (conflicting) previous installation."
     echo "You might want to abort and uninstall Wine first."
@@ -267,7 +268,7 @@ then {
 
       # see if wine is installed on the users system, if not prompt them
       # and then exit
-      if [ ! `which wine` ]
+      if [ -z "`wine --version 2>/dev/null`" ]
       then
         echo "Could not find wine on your system.  Run wineinstall as root to install wine"
         echo "before re-running wineinstall as a user."
-- 
1.5.1.1

